<template>
  <div id="app">
    <b-navbar toggleable="md">
      <b-navbar-brand class="mlogo">Comp-Service</b-navbar-brand>

      <b-navbar-nav>
        <b-nav-item to="/Contests"><braces/> Competitions</b-nav-item>
        <b-nav-item to="/Submissions"><newspaper/> Submissions</b-nav-item>
        <b-nav-item to="/CompetitionCreationView"><comment-plus-outline/> Contribute</b-nav-item>
        <b-nav-item to="/CompetitionCreationView"><email/> Contact Us</b-nav-item> 
      </b-navbar-nav>

      <b-navbar-nav class="ml-auto">
        <b-nav-item  to="/Login">Login</b-nav-item>
      </b-navbar-nav>
    </b-navbar>
  </div>
</template>
<script>
import Braces from 'vue-material-design-icons/code-braces.vue'
import Newspaper from 'vue-material-design-icons/newspaper.vue'
import CommentPlusOutline from 'vue-material-design-icons/comment-plus-outline.vue'
import Email from 'vue-material-design-icons/email.vue'

import "vue-material-design-icons/styles.css"

export default {
    name: 'app',
    components : {
        Braces: Braces,
        Newspaper: Newspaper,
        CommentPlusOutline: CommentPlusOutline,
        Email: Email
    }
}
</script>
<style>
.mlogo {
    font-weight: bold; 
    font-family: 'Liberation Sans', sans-serif;
}
</style>
